Loading...
Searching...
No Matches
BALL::CIFFile::SaveFrame Class Reference

`#include <BALL/FORMAT/CIFFile.h>`

## Public Member Functions

void | clear ()
void | start (String name)
void | addDataItem (Item item)
void | setCategory (String cat)
std::ostream & | operator>> (std::ostream &os) const
const String & | getCategory () const
const Item & | getDataItem (const String &item_name) const
Item & | getDataItem (const String &item_name)
const String & | getDataItemValue (const String &item_name) const
String & | getDataItemValue (const String &item_name)
bool | hasItem (const String &item_name) const
String | getItemValue (const String &name) const

## Public Attributes

String | framename
String | category
std::vector< Item > | items
StringHashMap< Index > | pair_items
Item | dummy_data_item_

## Detailed Description

Nested class for the saveframes of the CIFFile

Definition at line 76 of file CIFFile.h.

## Member Function Documentation

## addDataItem()

void BALL::CIFFile::SaveFrame::addDataItem | ( | Item | item | ) |

## clear()

void BALL::CIFFile::SaveFrame::clear | ( |  | ) |

## getCategory()

const String & BALL::CIFFile::SaveFrame::getCategory | ( |  | ) | const

inline

Definition at line 86 of file CIFFile.h.

## getDataItem() [1/2]

Item & BALL::CIFFile::SaveFrame::getDataItem | ( | const String & | item_name | ) |

## getDataItem() [2/2]

const Item & BALL::CIFFile::SaveFrame::getDataItem | ( | const String & | item_name | ) | const

Returns a dummy Dataitem, if no item with such name exists

## getDataItemValue() [1/2]

String & BALL::CIFFile::SaveFrame::getDataItemValue | ( | const String & | item_name | ) |

## getDataItemValue() [2/2]

const String & BALL::CIFFile::SaveFrame::getDataItemValue | ( | const String & | item_name | ) | const

## getItemValue()

String BALL::CIFFile::SaveFrame::getItemValue | ( | const String & | name | ) | const

## hasItem()

bool BALL::CIFFile::SaveFrame::hasItem | ( | const String & | item_name | ) | const

## operator>>()

std::ostream & BALL::CIFFile::SaveFrame::operator>> | ( | std::ostream & | os | ) | const

## setCategory()

void BALL::CIFFile::SaveFrame::setCategory | ( | String | cat | ) |

inline

Definition at line 83 of file CIFFile.h.

## start()

void BALL::CIFFile::SaveFrame::start | ( | String | name | ) |

## Member Data Documentation

## category

String BALL::CIFFile::SaveFrame::category

Definition at line 105 of file CIFFile.h.

## dummy_data_item_

Item BALL::CIFFile::SaveFrame::dummy_data_item_

Definition at line 111 of file CIFFile.h.

## framename

String BALL::CIFFile::SaveFrame::framename

The name of this saveframe

Definition at line 104 of file CIFFile.h.

## items

std::vector<Item> BALL::CIFFile::SaveFrame::items

Stores all dataitems of the saveframe

Definition at line 108 of file CIFFile.h.

## pair_items

StringHashMap<Index> BALL::CIFFile::SaveFrame::pair_items

Definition at line 109 of file CIFFile.h.